Autor Thema: Installation Epson WF-2860  (Gelesen 677 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Installation Epson WF-2860
« am: 21. Februar 2020, 21:53:19 »
Hallo Forum,
ich bin relativ neu im Manjaro-Land unterwegs, trotzdem hab ich eigendlich bis jetzt immer alles installiert bekommen, was ich brauchte. Am WF-2860 aber beiß ich mir gerade die Zähne aus.
Das Paket "epson-inkjet-printer-escpr2" aus dem AUR haut mir in der Installation einen Error 404 vor die Birne.
Also hab ich auf der Epson Downloadseite geschaut und bin fündig geworden.  ;D
Machst es halt in der Konsole, ist ja nicht wirklich schwer, dacht ich. Gesagt, getan und blöd geschaut weil die Konsole mir sagte automake-1.15 würde fehlen. Hab dann in pacman geschaut, welche Version installiert ist und bin auf Version 1.17 gekommen. Gut, pingeliges Program, bekommste halt Version 1.15. Nix wars, bei Version 1.15 schreibt mir die Konsole, daß automake 1.15 veraltert sei...   >:(
Nun sitz ich da, ich kleiner Max, und bin ziemlich ratlos.
Habt ihr vielleicht einen Tip, wie sich mein Dilema auflösen lässt?

Herzlichen Dank für eure Mühen
Max

Der genaue Wortlaut der Konsole ist:
[stumax@stumax epson-inkjet-printer-escpr2-1.1.8]$ ./configure && make && make install
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for an ANSI C-conforming const... yes
checking how to run the C preprocessor... gcc -E
checking whether ln -s works... yes
configure: WARNING: Libtool does not cope well with whitespace in `pwd`
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for mt... no
checking if : is a manifest tool... no
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for cups-config... yes
checking for ANSI C header files... (cached) yes
checking whether stat file-mode macros are broken... no
checking whether time.h and sys/time.h may both be included... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for pid_t... yes
checking for size_t... yes
checking cups/cups.h usability... yes
checking cups/cups.h presence... yes
checking for cups/cups.h... yes
checking cups/ppd.h usability... yes
checking cups/ppd.h presence... yes
checking for cups/ppd.h... yes
checking cups/raster.h usability... yes
checking cups/raster.h presence... yes
checking for cups/raster.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for sys/types.h... (cached) yes
checking time.h usability... yes
checking time.h presence... yes
checking for time.h... yes
checking for unistd.h... (cached) yes
checking for ppdOpenFile in -lcups... yes
checking for cupsRasterOpen in -lcupsimage... yes
checking for working memcmp... yes
checking return type of signal handlers... void
checking for memset... yes
checking for strcspn... yes
checking for strerror... yes
checking for strrchr... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating epson-inkjet-printer-escpr2.spec
config.status: creating lsb/lsb-rpm.spec
config.status: creating escprlib/Makefile
config.status: creating escprlib/lib/Makefile
config.status: creating ppd/Makefile
config.status: creating src/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
echo M4_MACROS = `ls m4 | sed 's,^,m4/,'` > m4-macros.tmp
cmp -s m4-macros.tmp m4-macros || cp m4-macros.tmp m4-macros
rm m4-macros.tmp
 cd . && /bin/sh "/home/stumax/Epson WF-2860 Treiber/epson-inkjet-printer-escpr2-1.1.8/missing" automake-1.15 --gnu Makefile
/home/stumax/Epson WF-2860 Treiber/epson-inkjet-printer-escpr2-1.1.8/missing: Zeile 81: automake-1.15: Kommando nicht gefunden.
WARNING: 'automake-1.15' is missing on your system.
         You should only need it if you modified 'Makefile.am' or
         'configure.ac' or m4 files included by 'configure.ac'.
         The 'automake' program is part of the GNU Automake package:
         <http://www.gnu.org/software/automake>
         It also requires GNU Autoconf, GNU m4 and Perl in order to run:
         <http://www.gnu.org/software/autoconf>
         <http://www.gnu.org/software/m4/>
         <http://www.perl.org/>
make: *** [Makefile:381: Makefile.in] Fehler 127

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #1 am: 21. Februar 2020, 23:36:26 »
Hallo stumax,
Das Paket "epson-inkjet-printer-escpr2" aus dem AUR haut mir in der Installation einen Error 404 vor die Birne.
Ist dein System up-to-date?
Mach mal ein
sudo pacman-mirrors --fasttrack && sudo pacman -Syyuhttps://wiki.manjaro.org/index.php?title=Pacman-mirrors#Update_mirrorlist_with_the_fastest_mirrors
und dann nochmal das AUR probieren.

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Re: Installation Epson WF-2860
« Antwort #2 am: 22. Februar 2020, 14:36:29 »
Hallo gosia,
herzlichen Dank für deine Antwort.
Die Paketquellen waren aktuell, hab zur Sicherheit aber nochmal deinen Tip befolgt, da ich das mit fasttrack noch nicht kannte. Leider hat sich aber nichts geändert. Ich dachte mir grad, schaust mal auf der AUR Seite, was ich da finde. Hab mir da den Screenshot runtergeladen und nun drei Dateien, mit denen ich aber irgendwie überfordert bin. Scheinbar ist das 404 Problem bekannt und es gibt einen Patch dafür. Leider hab ich halt jetzt gleich überhaupt keinen Plan wie genau ich diesen Patch einpflegen soll/kann.
Die Dateien heißen .SRCINFO, bug_x86_64.patch und PKGBUILD.
Wie und vorallem wo müssen diese Dateien hin?
Danke schonmal.

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #3 am: 22. Februar 2020, 14:59:19 »
Hallo stumax,
Die Dateien heißen .SRCINFO, bug_x86_64.patch und PKGBUILD.
Wie und vorallem wo müssen diese Dateien hin?
Tut mir leid, aber da bin ich hartnäckig. Das ist nicht der Weg, den Du gehen solltest und installieren aus den Repos bzw. AUR muss funktionieren. Da klemmt es irgendwo. Um das zu klären poste bitte mal die genauen und vollständigen Meldungen, wenn Du mit
trizen -S epson-inkjet-printer-escpr2oder
yay -S epson-inkjet-printer-escpr2
viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Re: Installation Epson WF-2860
« Antwort #4 am: 22. Februar 2020, 15:23:15 »
Hallo gosia,
hier die Ausgabe von trizen:
[stumax@stumax ~]$ trizen -S epson-inkjet-printer-escpr2
:: Cloning AUR package: epson-inkjet-printer-escpr2

--------------------------------------------------------------------------------
:: Content of /tmp/trizen-stumax/epson-inkjet-printer-escpr2/PKGBUILD
--------------------------------------------------------------------------------

pkgname=epson-inkjet-printer-escpr2
pkgver=1.1.8
pkgrel=1
pkgdesc="Epson Inkjet Printer Driver 2 (ESC/P-R) for Linux"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
license=('GPL2')
depends=('cups' 'ghostscript')
makedepends=('automake')
optdepends=('imagescan: scanner support')
options=('!libtool')
source=('https://download3.ebz.epson.net/dsc/f/03/00/10/73/15/fc4bb80b861f15e344c39330d9a310f581d81e22/epson-inkjet-printer-escpr2-1.1.8-1lsb3.2.src.rpm'
        'bug_x86_64.patch')
sha256sums=('2845899e5182edc9ce65d99ee1d096593f18b48e4bf420ce21db45d913f9de7f'
            '44160b2ef140e97137d65c4db7a50cfe40399ab8691caaeaf43c08f758b8c545')

prepare() {
  tar xvf "$pkgname-$pkgver-$pkgrel"lsb3.2.tar.gz
 
  cd "$pkgname-$pkgver"

  patch -p1 -i "${srcdir}/bug_x86_64.patch"
}

build() {
  cd "$pkgname-$pkgver"
 
  autoreconf -f -i

  ./configure --prefix=/usr \
              --with-cupsfilterdir=/usr/lib/cups/filter \
              --with-cupsppddir=/usr/share/ppd
  make
}

package() {
  cd "$pkgname-$pkgver"
  make DESTDIR="$pkgdir" install
}

=>> Edit epson-inkjet-printer-escpr2/PKGBUILD? [y/N]:


und hier von yay:
[stumax@stumax ~]$ yay -S epson-inkjet-printer-escpr2
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur: 1]  epson-inkjet-printer-escpr2-1.1.8-1

:: Downloaded PKGBUILD (1/1): epson-inkjet-printer-escpr2
  1 epson-inkjet-printer-escpr2              (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==>

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #5 am: 22. Februar 2020, 16:25:20 »
Hallo stumax,
sieht doch schon mal gut aus. Und warum nicht weitermachen? Ich beschränke mich jetzt mal auf trizen, weil ich das selbst benutze.
=>> Edit epson-inkjet-printer-escpr2/PKGBUILD? [y/N]:
hier N sagen (schliesslich willst Du die Datei ja nicht editieren) und weiter geht es. Irgendwann fragt er dich dann, ob das installiert werden soll, dann natürlich ja sagen.

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #6 am: 22. Februar 2020, 16:39:22 »
Hallo stumax,Ist dein System up-to-date?

Hi gosia,

kann es evtl. helfen, wenn man base-devel nochmal installiert?
In der ersten Konsoenausgabe gabe ich folgendes gelesen:

WARNING: 'automake-1.15' is missing on your system.
Automake ist doch Teil dieses Pakets und ich habe in der Vergangenheit die Erfahrung gemacht, dass das Paket nicht immer vollständig installiert ist.
Ist nur so 'ne Idee.

Viele Grüße
Ahnungsloser
Im neuen Forum unter dem Nick "Roberto" :)

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Re: Installation Epson WF-2860
« Antwort #7 am: 22. Februar 2020, 18:18:41 »
Juhuuuu! Der Drucker druckt! :))

genau einmal die Testseite...  :( ja... &%*#@$§!

Jetzt steht in den Druckereinstellungen "Druck-Dienst nicht verfügbar. Dienst auf diesem Rechner starten oder mit anderem Server verbinden." Klick ich auf Hilfe -> Fehlersuche erscheint die Meldung "CUPS-Service gestoppt Der CUPS-Drucker-Zwischenspeicher (>>Spooler<<) scheint nicht zu laufen. Um dies zu beheben, wählen Sie System->Administration->Service aus dem Hauptmenü und suchen nach dem >>CUPS<<-Service. Selbigen finde ich aber nicht in meinen Einstellungen.
Hab mal ein bisschen gegoogelt und bin auf den Befehl
sudo systemctl enable --now org.cups.cupsd.servicegekommen. Die Konsole meinte zu dieser Aktion:
[stumax@stumax ~]$ sudo systemctl enable --now org.cups.cupsd.service
Job for org.cups.cupsd.service failed because the service did not take the steps required by its unit configuration.
See "systemctl status org.cups.cupsd.service" and "journalctl -xe" for details.
Also mal "systemctl status org.cups.cupsd.service" eingegeben und siehe da:
● org.cups.cupsd.service - CUPS Scheduler
   Loaded: loaded (/usr/lib/systemd/system/org.cups.cupsd.service; enabled; vendor preset: disabled)
   Active: failed (Result: protocol) since Sat 2020-02-22 17:19:38 CET; 14min ago
     Docs: man:cupsd(8)
  Process: 5366 ExecStart=/usr/bin/cupsd -l (code=killed, signal=TERM)
 Main PID: 5366 (code=killed, signal=TERM)

Feb 22 17:19:38 stumax systemd[1]: org.cups.cupsd.service: Service RestartSec=100ms expired, scheduling restart.
Feb 22 17:19:38 stumax systemd[1]: org.cups.cupsd.service: Scheduled restart job, restart counter is at 5.
Feb 22 17:19:38 stumax systemd[1]: Stopped CUPS Scheduler.
Feb 22 17:19:38 stumax systemd[1]: org.cups.cupsd.service: Start request repeated too quickly.
Feb 22 17:19:38 stumax systemd[1]: org.cups.cupsd.service: Failed with result 'protocol'.
Feb 22 17:19:38 stumax systemd[1]: Failed to start CUPS Scheduler.
Bei "journalctl -xe" spricht die Konsole:
[stumax@stumax ~]$ journalctl -xe
Feb 22 17:38:16 stumax audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=org.cups.cupsd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Feb 22 17:38:16 stumax systemd[1]: org.cups.cupsd.service: Service RestartSec=100ms expired, scheduling restart.
Feb 22 17:38:16 stumax systemd[1]: org.cups.cupsd.service: Scheduled restart job, restart counter is at 5.
-- Subject: Automatic restarting of a unit has been scheduled
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- Automatic restarting of the unit org.cups.cupsd.service has been scheduled, as the result for
-- the configured Restart= setting for the unit.
Feb 22 17:38:16 stumax systemd[1]: Stopped CUPS Scheduler.
-- Subject: A stop job for unit org.cups.cupsd.service has finished
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- A stop job for unit org.cups.cupsd.service has finished.
--
-- The job identifier is 4509 and the job result is done.
Feb 22 17:38:16 stumax audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=org.cups.cupsd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 17:38:16 stumax audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=org.cups.cupsd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 17:38:16 stumax systemd[1]: org.cups.cupsd.service: Start request repeated too quickly.
Feb 22 17:38:16 stumax systemd[1]: org.cups.cupsd.service: Failed with result 'protocol'.
-- Subject: Unit failed
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- The unit org.cups.cupsd.service has entered the 'failed' state with result 'protocol'.
Feb 22 17:38:16 stumax systemd[1]: Failed to start CUPS Scheduler.
-- Subject: A start job for unit org.cups.cupsd.service has failed
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- A start job for unit org.cups.cupsd.service has finished with a failure.
--
-- The job identifier is 4509 and the job result is failed.
Feb 22 17:41:09 stumax kernel: usb 1-1: USB disconnect, device number 7
Feb 22 17:41:09 stumax kernel: usblp2: removed
Feb 22 17:41:09 stumax kernel: usblp3: removed
Feb 22 17:41:16 stumax colord-sane[7505]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Feb 22 17:53:08 stumax dbus-daemon[730]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.1299' (uid=1000 pid=7578 comm="/usr/bin/xfce4-terminal " label="unconfined")
Feb 22 17:53:08 stumax systemd[1]: Starting Hostname Service...
-- Subject: A start job for unit systemd-hostnamed.service has begun execution
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- A start job for unit systemd-hostnamed.service has begun execution.
--
-- The job identifier is 4562.
Feb 22 17:53:08 stumax dbus-daemon[730]: [system] Successfully activated service 'org.freedesktop.hostname1'
Feb 22 17:53:08 stumax systemd[1]: Started Hostname Service.
-- Subject: A start job for unit systemd-hostnamed.service has finished successfully
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- A start job for unit systemd-hostnamed.service has finished successfully.
--
-- The job identifier is 4562.
Feb 22 17:53:08 stumax audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 17:53:08 stumax kernel: kauditd_printk_skb: 11 callbacks suppressed
Feb 22 17:53:08 stumax kernel: audit: type=1130 audit(1582390388.574:249): pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 17:53:38 stumax systemd[1]: systemd-hostnamed.service: Succeeded.
-- Subject: Unit succeeded
-- Defined-By: systemd
-- Support: https://forum.manjaro.org/c/technical-issues-and-assistance
--
-- The unit systemd-hostnamed.service has successfully entered the 'dead' state.
Feb 22 17:53:38 stumax audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 17:53:38 stumax kernel: audit: type=1131 audit(1582390418.624:250): pid=1 uid=0 auid=4294967295 ses=4294967295 subj==unconfined msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 22 18:01:01 stumax CROND[7750]: (root) CMD (run-parts /etc/cron.hourly)
lines 3352-3419/3419 (END)
Nun bleibt die Frage, was mir der Dichter dieser Meldung damit sagen will. Ich steh grad mächtig aufm Schlauch.

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #8 am: 22. Februar 2020, 21:40:47 »
Hallo stumax,
nun ja, dein Cups-Server stirbt den Heldentod, warum auch immer.
Starte mal ganz neu und poste die Ausgabe von
systemctl --failed
lpstat -t
aber gleich nach dem Hochfahren, ohne vorherigen Druckversuch.
Wie ist dein Drucker verbunden, USB oder Network? Taucht der Drucker in den Druckereinstellungen auf?

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #9 am: 22. Februar 2020, 21:48:21 »
Hallo Ahnungsloser,
kann es evtl. helfen, wenn man base-devel nochmal installiert?
In der ersten Konsoenausgabe gabe ich folgendes gelesen:
WARNING: 'automake-1.15' is missing on your system.
ja und nein. Ist schon nützlich, wenn man es hat, besonders für's AUR. Aber diese Warnung kam ja bei dem Versuch von stumax, die Quellen am Paketmanager vorbei selbst zu übersetzen.
Und wenn ich es richtig verstanden habe, hat mit trizen ja die Installation funktioniert.

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #10 am: 22. Februar 2020, 23:03:44 »
Hallo Ahnungsloser,ja und nein. Ist schon nützlich, wenn man es hat, besonders für's AUR. Aber diese Warnung kam ja bei dem Versuch von stumax, die Quellen am Paketmanager vorbei selbst zu übersetzen.
Und wenn ich es richtig verstanden habe, hat mit trizen ja die Installation funktioniert.

viele Grüße gosia
Hallo Gosia,

ich verstehe, ich dachte nur, dass die Installation dadurch evtl. nicht sauber durchgeführt wurde.
Vor allem wegen des Fehlers 127.

Es gibt im AUR auch noch folgenden Treiber:
epson-inkjet-printer-escprAlso ohne die 2 am Ende.

Wäre ein Versuch wert.

Viele Grüße
Ahnsungsloser
Im neuen Forum unter dem Nick "Roberto" :)

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Re: Installation Epson WF-2860
« Antwort #11 am: 22. Februar 2020, 23:46:03 »
Hab vorhin noch base-devel installiert, brachte aber nix. Ich hab auch mal den epson-inkjet-printer-escpr ausprobiert, leider auch ohne Erfolg. Ich wurde aber von einer Fehlermeldung überrascht, die mich doch erheitert hat:
Fehler des CUPS_Servers
Beim Betrieb von CUPS trat ein Fehler auf: >>Erfolg<<
OK
Fast schon mein Humor >:D

Evtl. hängt das mit dem Scaner zusammen. Der findet meinen über USB angeschlossenen PC nicht und meint, es würde ne Software benötigt. Schau jetzt grad die mitgelieferte CD durch, ob ich da nen Hinweis finde, wie diese SW heißt.

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 944
  • Dankeschön: 51 mal
  • Desktop: KDE Plasma 5.18.1
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 5.5.3-artix1-1 x86_64
  • Prozessor: Intel Core i3-3217U
  • Skill: Anfänger
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #12 am: 23. Februar 2020, 12:00:23 »
Ich habe das Paket testweise auf einer virtuellen Maschine mit Manjaro Openbox installiert.
trizen -S epson-inkjet-printer-escpr2
Die Installation ist problemlos durchgelaufen.
Bei der Installation habe ich alle "edit" Fragen mit nein beantwortet.

Hier nur ein Auszug der Installation:
==> Erstelle Paket: epson-inkjet-printer-escpr2 1.1.8-1 (So 23 Feb 2020 10:55:42 CET)
==> Prüfe Laufzeit-Abhängigkeiten...
==> Installiere fehlende Abhängigkeiten...
[sudo] Passwort für roberto:
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (8) cups-filters-1.27.0-1  ijs-0.35-2  jbig2dec-0.17-1  liblouis-3.12.0-1
           libpaper-1.1.28-1  qpdf-9.1.1-1  cups-2.3.1-1  ghostscript-9.50-2

Gesamtgröße des Downloads:           21,31 MiB
Gesamtgröße der installierten Pakete:  71,76 MiB

:: Installation fortsetzen? [J/n]
:: Empfange Pakete...
 qpdf-9.1.1-1-x86_64   966,9 KiB  2,52 MiB/s 00:00 [#######################] 100%
 liblouis-3.12.0-...  1806,8 KiB  2,86 MiB/s 00:01 [#######################] 100%
 ijs-0.35-2-x86_64      50,4 KiB  3,79 MiB/s 00:00 [#######################] 100%
 cups-filters-1.2...   857,9 KiB  1906 KiB/s 00:00 [#######################] 100%
 libpaper-1.1.28-...    27,0 KiB  2,03 MiB/s 00:00 [#######################] 100%
 cups-2.3.1-1-x86_64     5,0 MiB  2,28 MiB/s 00:02 [#######################] 100%
 jbig2dec-0.17-1-...    54,6 KiB  1093 KiB/s 00:00 [#######################] 100%
 ghostscript-9.50...    12,6 MiB  2,12 MiB/s 00:06 [#######################] 100%
(8/8) Prüfe Schlüssel im Schlüsselring             [#######################] 100%
(8/8) Überprüfe Paket-Integrität                   [#######################] 100%
(8/8) Lade Paket-Dateien                           [#######################] 100%
(8/8) Prüfe auf Dateikonflikte                     [#######################] 100%
(8/8) Überprüfe verfügbaren Festplattenspeicher    [#######################] 100%
:: Verarbeite Paketänderungen...
(1/8) Installiere qpdf                             [#######################] 100%
(2/8) Installiere liblouis                         [#######################] 100%
(3/8) Installiere ijs                              [#######################] 100%
(4/8) Installiere cups-filters                     [#######################] 100%
Optionale Abhängigkeiten für cups-filters
    ghostscript: for non-PostScript printers to print with CUPS to convert
    PostScript to raster images [ausstehend]
    foomatic-db: drivers use Ghostscript to convert PostScript to a printable
    form directly
    foomatic-db-engine: drivers use Ghostscript to convert PostScript to a
    printable form directly
    foomatic-db-nonfree: drivers use Ghostscript to convert PostScript to a
    printable form directly
    antiword: needed to convert MS Word documents (requires also docx2txt (AUR)
(5/8) Installiere libpaper                         [#######################] 100%
(6/8) Installiere cups                             [#######################] 100%
>> If you use an HTTPS connection to CUPS, the first time you access
>> the interface it may take a very long time before the site comes up.
>> This is because the first request triggers the generation of the CUPS
>> SSL certificates which can be a very time-consuming job.
Optionale Abhängigkeiten für cups
    xdg-utils: xdg .desktop file support [Installiert]
    colord: for ICC color profile support [Installiert]
    logrotate: for logfile rotation support [Installiert]
(7/8) Installiere jbig2dec                         [#######################] 100%
(8/8) Installiere ghostscript                      [#######################] 100%
Optionale Abhängigkeiten für ghostscript
    texlive-core: needed for dvipdf
    gtk3: needed for gsx [Installiert]
:: Starte post-transaction hooks...
(1/7) Creating system user accounts...
(2/7) Reloading system manager configuration...
(3/7) Arming ConditionNeedsUpdate...
(4/7) Reloading system bus configuration...
(5/7) Updating icon theme caches...
(6/7) Updating the info directory file...
(7/7) Updating the desktop file MIME type cache...

...

==> Räume auf...
:: Pacman command: /usr/bin/sudo /usr/bin/pacman /tmp/trizen-roberto/epson-inkjet-printer-escpr2/epson-inkjet-printer-escpr2-1.1.8-1-x86_64.pkg.tar.xz -U
Lade Pakete...
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (1) epson-inkjet-printer-escpr2-1.1.8-1

Gesamtgröße der installierten Pakete:  16,53 MiB

:: Installation fortsetzen? [J/n]
(1/1) Prüfe Schlüssel im Schlüsselring             [#######################] 100%
(1/1) Überprüfe Paket-Integrität                   [#######################] 100%
(1/1) Lade Paket-Dateien                           [#######################] 100%
(1/1) Prüfe auf Dateikonflikte                     [#######################] 100%
(1/1) Überprüfe verfügbaren Festplattenspeicher    [#######################] 100%
:: Verarbeite Paketänderungen...
(1/1) Installiere epson-inkjet-printer-escpr2      [#######################] 100%
Optionale Abhängigkeiten für epson-inkjet-printer-escpr2
    imagescan: scanner support
:: Starte post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

Keine Fehlermeldung!

Hast du mal versucht, das Paket mit allen Abhängigkeiten zu entfernen und dann das Paket neu zu installieren?
sudo pacman -Rs epson-inkjet-printer-escpr2
Gruß
Ahnungsloser
Im neuen Forum unter dem Nick "Roberto" :)

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1756
  • Dankeschön: 343 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Installation Epson WF-2860
« Antwort #13 am: 23. Februar 2020, 13:23:51 »
Hallo Roberto und stumax,
Ich habe das Paket testweise auf einer virtuellen Maschine mit Manjaro Openbox installiert.
...
Keine Fehlermeldung!
Ich glaube, wir müssen hier eine Frage klären, die nur @stumax beantworten kann, IMHO ist die Installation per trizen auch bei stumax ohne Fehlermeldung durchgelaufen, oder?
Dann eine Bemerkung, die ich mir eigentlich aufsparen wollte, bis meine Anfragen bzgl, Cups beantwortet sind. Ganz zufällig habe ich auch einen Epson WF-2660, also ziemlich nahe am Drucker von stumax, obwohl das oft nicht viel bedeuten muss.
Aber ich habe weder epson-inkjet-printer-escpr2 noch epson-inkjet-printer-escp dafür installiert, sondern bin ganz anders vorgegangen.
Ich habe meinen Drucker von Cups suchen bzw. erkennen lassen (als Netzwerkdrucker). Da wurde er auch erkannt als "EPSON WF-2660 Series (driverless) (EPSON WF-2660 Series)". Das wichtige dabei ist das Wort "driverless". Da Cups das kann habe ich auch einfach auf "weiter" gedrückt und gut wars. Der Drucker erhielt die Verbindung " ipp://EPSON%20WF-2660%20Series._ipp._tcp.local/|EPSON WF-2660 Series" und druckt ohne Probleme. Braucht natürlich Avahi, aber das sollte per default laufen.

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline stumax

  • Neuling
  • *
  • Beiträge: 16
  • Desktop: xfce
  • Grafikkarte: GeForce GTX 550Ti
  • Grafikkartentreiber: nonfree 390xx
  • Skill: Anfänger
Re: Installation Epson WF-2860
« Antwort #14 am: 23. Februar 2020, 16:20:33 »
Hab jetzt mal, wie Ahnungsloser geschrieben hat, per
sudo pacman -Rs epson-inkjet-printer-escpr2den Treiber komplett deinstalliert und dann, wie gosia geschrieben hat, per
trizen -S epson-inkjet-printer-escpr2wieder installiert. Richtig gosia, keine Fehlermeldung. Lediglich am Ende der Installation wurde ich stutzig, als da stand
(1/1) Arming ConditionNeedsUpdate...Warum macht das Programm das nicht selbst... Alles musste immer selber machen...  ;) Nur wie?

Werde jetzt aber mal den driverless-Tip befolgen. Evtl. brauchts ja dieses ganze Treibergedöns nicht. Einen Versuch isses allemal wert.